org.eclipse.zest.layouts

## Interface LayoutStyles

    public interface LayoutStyles

### Field Summary

Fields
`static int` `ENFORCE_BOUNDS` Some layouts may prefer to expand their bounds beyond those of the requested bounds.
`static int` `NO_LAYOUT_NODE_RESIZING` Layout constant indicating that the layout algorithm should NOT resize any of the nodes.
`static int` `NONE` Default layout style constant.

### Field Detail

#### NONE

    static final int NONE

Default layout style constant.

See Also:
  Constant Field Values

#### NO_LAYOUT_NODE_RESIZING

    static final int NO_LAYOUT_NODE_RESIZING

Layout constant indicating that the layout algorithm should NOT resize any of the nodes.

See Also:
  Constant Field Values

#### ENFORCE_BOUNDS

    static final int ENFORCE_BOUNDS

Some layouts may prefer to expand their bounds beyond those of the requested bounds. This flag asks the layout not to do so.

See Also:
  Constant Field Values